Name:		mausezahn
Version:	0.34.9
Release:	2%{?dist}
Summary:	A fast versatile packet generator

Group:		Applications/Internet
License:	GPLv2
URL:		http://www.perihel.at/sec/mz/
Source0:	http://www.perihel.at/sec/mz/mz-%{version}.tar.gz
Source1:	%{name}.1
Source2:	README.Fedora
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpcap-devel >= 0.8, libnet-devel >= 1.1, cmake >= 2.4.0
Requires:	python-matplotlib

%description
Mausezahn is a free fast traffic generator written in C which allows you to 
send nearly every possible and impossible packet. Mausezahn can also be used 
for example as didactical tool in network labs or for security audits including
penetration and DoS testing. As traffic generator Mausezahn is for example used
to test IP multicast or VoIP networks. Speeds close to the Ethernet limit are 
reachable (depending on the HW platform).

%prep
%setup -q -n mz-%{version}
sed -i.optflags -e '/^SET(CMAKE_C_FLAGS/d' CMakeLists.txt

%build
%cmake .
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.html" -delete
find $RPM_BUILD_ROOT -type f -name "*.pdf" -delete
mv $RPM_BUILD_ROOT%{_sbindir}/mz $RPM_BUILD_ROOT%{_sbindir}/%{name}
cp -p %SOURCE1 $RPM_BUILD_ROOT%{_mandir}/man1/
mv $RPM_BUILD_ROOT%{_defaultdocdir}/mz \
$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
cp -p %SOURCE2 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/
cp -pr AUTHORS ChangeLog COPYING README \
$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
rm $RPM_BUILD_ROOT%{_mandir}/man1/mz.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sbindir}/%{name}
%{_defaultdocdir}/%{name}-%{version}/
%{_mandir}/man1/%{name}*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 8 2009 Vivek Shah <boni.vivek@gmail.com> 0.34.9-1
- Updated to new upstream version

* Tue Aug 4 2009 Vivek Shah <boni.vivek at gmail.com> 0.34.8-2
- Removed the cmake flags to be overriden by optflags

* Sat Aug 1 2009 Vivek Shah <boni.vivek at gmail.com> 0.34.8-1
- Updated to new upstream version
- Removed extra empty doc line from files section
- Removed INSTALL files from doc section
- Added Fedora specific flags

* Sat Jul 18 2009 Vivek Shah <boni.vivek at gmail.com> 0.34.6-2
- Cleaned up spaces in description and added a missing infinitive
- Unified all doc files to be copied in a single docdir

* Sat Jul 18 2009 Vivek Shah <boni.vivek at gmail.com> 0.34.6-1
- Changed package name to mausezahn
- Added new README.Fedora
- Modified existing manpage

* Tue Nov 4 2008 Vivek Shah <boni.vivek at gmail.com> 0.34.5-2
- Changed binary and manpage file name to mausezahn to avoid conflicts
- Added Requires field for sample python script

* Sat Nov 1 2008 Vivek Shah <boni.vivek at gmail.com> 0.34.5-1
- Initial package
